[pkg-boinc-commits] r423 - in trunk/boinc-app-seti/debian: . patches

Frank S. Thomas fst-guest at costa.debian.org
Tue May 16 14:23:00 UTC 2006


Author: fst-guest
Date: 2006-05-16 14:22:59 +0000 (Tue, 16 May 2006)
New Revision: 423

Added:
   trunk/boinc-app-seti/debian/patches/00list
   trunk/boinc-app-seti/debian/patches/01_build-fixes.dpatch
Removed:
   trunk/boinc-app-seti/debian/patches/01_build-fixes.patch
   trunk/boinc-app-seti/debian/watch
Modified:
   trunk/boinc-app-seti/debian/changelog
   trunk/boinc-app-seti/debian/rules
Log:
* Updated to version 4.13+cvs20060510. The tarball for this version can be
  downloaded with `./download-seti 2006-05-10`.
* Switched to the dpatch patch system.
* Removed watch file, which is useless, when we are using nightly tarballs.


Modified: trunk/boinc-app-seti/debian/changelog
===================================================================
--- trunk/boinc-app-seti/debian/changelog	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/changelog	2006-05-16 14:22:59 UTC (rev 423)
@@ -1,4 +1,4 @@
-boinc-app-seti (4.11+cvs20051216-1) experimental; urgency=low
+boinc-app-seti (5.13+cvs20060510-1) experimental; urgency=low
 
   * NOT RELEASED YET
   * New CVS snapshot from 16.12.2005.

Added: trunk/boinc-app-seti/debian/patches/00list
===================================================================
--- trunk/boinc-app-seti/debian/patches/00list	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/patches/00list	2006-05-16 14:22:59 UTC (rev 423)
@@ -0,0 +1 @@
+01_build-fixes.dpatch

Added: trunk/boinc-app-seti/debian/patches/01_build-fixes.dpatch
===================================================================
--- trunk/boinc-app-seti/debian/patches/01_build-fixes.dpatch	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/patches/01_build-fixes.dpatch	2006-05-16 14:22:59 UTC (rev 423)
@@ -0,0 +1,54 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_build-fixes.dpatch by Frank S. Thomas <frank at thomas-alfeld.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+ at DPATCH@
+diff -urNad boinc-app-seti-5.15+cvs20060516~/client/Makefile.am boinc-app-seti-5.15+cvs20060516/client/Makefile.am
+--- boinc-app-seti-5.15+cvs20060516~/client/Makefile.am	2006-04-07 03:38:17.000000000 +0200
++++ boinc-app-seti-5.15+cvs20060516/client/Makefile.am	2006-05-16 15:46:01.000000000 +0200
+@@ -90,11 +90,11 @@
+ seti_boinc_LDADD = $(CLIENT_LD_ADD) 
+ seti_boinc_LINK = $(CXX) -o $@
+ 
+-if LINUX
++#if LINUX
+ # too much optimization on main.cpp breaks the client for some reason
+-seti_boinc-main.o:
+-	if $(CXX) --include ../config.h -DDYNAMIC_GRAPHICS=1 $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(DEFS) -DTEXT_UI -DNDEBUG -DCLIENT  -I$(top_srcdir)/db $(BOINC_CFLAGS) $(PTHREAD_CFLAGS) -O2 -Wall -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+-endif
++#seti_boinc-main.o:
++#	if $(CXX) --include ../config.h -DDYNAMIC_GRAPHICS=1 $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(DEFS) -DTEXT_UI -DNDEBUG -DCLIENT  -I$(top_srcdir)/db $(BOINC_CFLAGS) $(PTHREAD_CFLAGS) -O2 -Wall -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
++#endif
+ 
+ 
+ if ENABLE_GUI
+diff -urNad boinc-app-seti-5.15+cvs20060516~/db/sqlblob.h boinc-app-seti-5.15+cvs20060516/db/sqlblob.h
+--- boinc-app-seti-5.15+cvs20060516~/db/sqlblob.h	2005-12-01 01:01:01.000000000 +0100
++++ boinc-app-seti-5.15+cvs20060516/db/sqlblob.h	2006-05-16 15:48:13.000000000 +0200
+@@ -75,7 +75,7 @@
+      fflush(stderr);
+ #endif
+    }
+-   b.mem=new std::vector<T>(xml_decode_string(buf.c_str()+start,end-start,enc_string));
++   b.mem=new std::vector<T>(xml_decode_string<T>(buf.c_str()+start,end-start,enc_string));
+ #ifdef DEBUG_ALLOCATIONS
+    fprintf(stderr,"sqlblob: allocated a vector at 0x%p\n",b.mem);
+    fflush(stderr);
+diff -urNad boinc-app-seti-5.15+cvs20060516~/db/xml_util.h boinc-app-seti-5.15+cvs20060516/db/xml_util.h
+--- boinc-app-seti-5.15+cvs20060516~/db/xml_util.h	2005-12-01 01:01:01.000000000 +0100
++++ boinc-app-seti-5.15+cvs20060516/db/xml_util.h	2006-05-16 15:47:23.000000000 +0200
+@@ -220,9 +220,9 @@
+ 
+ // decode an XML character string.  Return a the decoded string in a vector
+ // (null not necessarily a terminator).
+-//template <typename T>
+-//vector<T> xml_decode_string(const char *input, size_t length=0,
+-//    const char *encoding="x_xml_entity");
++template <typename T>
++std::vector<T> xml_decode_string(const char *input, size_t length=0,
++    const char *encoding="x_xml_entity");
+ 
+ // do the same thing, but get the length and encoding type from the
+ // xml tag properties.


Property changes on: trunk/boinc-app-seti/debian/patches/01_build-fixes.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Deleted: trunk/boinc-app-seti/debian/patches/01_build-fixes.patch
===================================================================
--- trunk/boinc-app-seti/debian/patches/01_build-fixes.patch	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/patches/01_build-fixes.patch	2006-05-16 14:22:59 UTC (rev 423)
@@ -1,96 +0,0 @@
-diff -Naur seti_boinc.orig/Makefile.am seti_boinc/Makefile.am
---- seti_boinc.orig/Makefile.am	2005-12-16 16:26:32.000000000 +0100
-+++ seti_boinc/Makefile.am	2005-12-16 17:53:41.000000000 +0100
-@@ -8,7 +8,7 @@
- ACLOCAL_AMFLAGS = -I m4
- 
- if ENABLE_CLIENT
--  CLIENT_SUBDIRS = client tools
-+  CLIENT_SUBDIRS = client
- endif
- 
- if ENABLE_SERVER
-@@ -38,7 +38,6 @@
- 
- EXTRA_DIST =                                    \
- 	db						\
--	tools						\
-         client/win_build                                   \
-         client/test_workunits                                   \
-     INSTALL    
-diff -Naur seti_boinc.orig/client/seti.h seti_boinc/client/seti.h
---- seti_boinc.orig/client/seti.h	2005-12-16 16:26:33.000000000 +0100
-+++ seti_boinc/client/seti.h	2005-12-16 16:27:48.000000000 +0100
-@@ -31,7 +31,7 @@
- 
- #include "boinc_api.h"
- 
--#define boinc_fpops_cumulative(x) boinc_ops_cumulative(x,0)
-+//#define boinc_fpops_cumulative(x) boinc_ops_cumulative(x,0)
- 
- extern APP_INIT_DATA app_init_data;
- 
-diff -Naur seti_boinc.orig/configure.ac seti_boinc/configure.ac
---- seti_boinc.orig/configure.ac	2005-12-16 16:26:32.000000000 +0100
-+++ seti_boinc/configure.ac	2005-12-16 17:53:16.000000000 +0100
-@@ -353,7 +353,6 @@
- 
- AC_CONFIG_FILES([Makefile
-                  client/Makefile
--		 tools/Makefile
-                  db/Makefile
- 		 db/schema_to_class
-                 ])
-diff -Naur seti_boinc.orig/db/db_table.h seti_boinc/db/db_table.h
---- seti_boinc.orig/db/db_table.h	2005-12-16 16:26:33.000000000 +0100
-+++ seti_boinc/db/db_table.h	2005-12-16 16:30:50.000000000 +0100
-@@ -173,18 +173,18 @@
- };
- 
- template <typename T, typename ID_TYPE>
--db_reference<T,ID_TYPE>::db_reference<T,ID_TYPE>(ID_TYPE req_id) : id(*(ID_TYPE *)(&(r.id))) {
-+db_reference<T,ID_TYPE>::db_reference(ID_TYPE req_id) : id(*(ID_TYPE *)(&(r.id))) {
-   id=req_id;
- }
- 
- template <typename T>
--db_type<T>::db_type<T>(T &t) : track_mem<T>(T::type_name), me(&t) {}
-+db_type<T>::db_type(T &t) : track_mem<T>(T::type_name), me(&t) {}
- 
- template <typename T>
- db_type<T>::~db_type<T>() {}
- 
- template <typename T>
--db_table<T>::db_table<T>(T &t, SQL_CURSOR c) : track_mem<T>(T::table_name), me(&t), cursor(c) {}
-+db_table<T>::db_table(T &t, SQL_CURSOR c) : track_mem<T>(T::table_name), me(&t), cursor(c) {}
- 
- template <typename T>
- db_table<T>::~db_table<T>() {}
-diff -Naur seti_boinc.orig/db/sqlblob.h seti_boinc/db/sqlblob.h
---- seti_boinc.orig/db/sqlblob.h	2005-12-16 16:26:33.000000000 +0100
-+++ seti_boinc/db/sqlblob.h	2005-12-16 16:28:14.000000000 +0100
-@@ -75,7 +75,7 @@
-      fflush(stderr);
- #endif
-    }
--   b.mem=new std::vector<T>(xml_decode_string(buf.c_str()+start,end-start,enc_string));
-+   b.mem=new std::vector<T>(xml_decode_string<T>(buf.c_str()+start,end-start,enc_string));
- #ifdef DEBUG_ALLOCATIONS
-    fprintf(stderr,"sqlblob: allocated a vector at 0x%p\n",b.mem);
-    fflush(stderr);
-diff -Naur seti_boinc.orig/db/xml_util.h seti_boinc/db/xml_util.h
---- seti_boinc.orig/db/xml_util.h	2005-12-16 16:26:33.000000000 +0100
-+++ seti_boinc/db/xml_util.h	2005-12-16 16:53:01.000000000 +0100
-@@ -220,9 +220,9 @@
- 
- // decode an XML character string.  Return a the decoded string in a vector
- // (null not necessarily a terminator).
--//template <typename T>
--//vector<T> xml_decode_string(const char *input, size_t length=0,
--//    const char *encoding="x_xml_entity");
-+template <typename T>
-+std::vector<T> xml_decode_string(const char *input, size_t length=0,
-+    const char *encoding="x_xml_entity");
- 
- // do the same thing, but get the length and encoding type from the
- // xml tag properties.

Modified: trunk/boinc-app-seti/debian/rules
===================================================================
--- trunk/boinc-app-seti/debian/rules	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/rules	2006-05-16 14:22:59 UTC (rev 423)
@@ -4,8 +4,8 @@
 DEB_AUTO_UPDATE_DEBIAN_CONTROL := yes
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 
 DEB_CONFIGURE_SCRIPT_ENV += BOINCDIR="/usr/share/boinc-dev"
 

Deleted: trunk/boinc-app-seti/debian/watch
===================================================================
--- trunk/boinc-app-seti/debian/watch	2006-05-16 14:18:23 UTC (rev 422)
+++ trunk/boinc-app-seti/debian/watch	2006-05-16 14:22:59 UTC (rev 423)
@@ -1,2 +0,0 @@
-version=3
-http://setiweb.ssl.berkeley.edu/sah/seti_source/nightly/setiathome_enhanced-client-cvs-([0-9-]+)\.tar\.gz




More information about the pkg-boinc-commits mailing list